API Documentation
Learn how to connect and integrate with our API.
API Key
Get your own API Key
Base URL
Authentication
All the API endpoints require an API key sent by the Bearer Authentication method.
Authorization: Bearer {api_key}
Example
curl --request GET \ --url 'https://uptimelock.com/api/{endpoint}' \ --header 'Authorization: Bearer {api_key}'
Errors
Our API uses conventional HTTP status codes to indicate the success or failure of a request.
Example
{
"errors": [
{
"title": "You do not have access to the API.",
"status": 401
}
]
}
Status codes
200
Request completed successfully
400
Bad request - Required parameters are missing or invalid
401
Unauthorized - API key is missing or invalid
404
The requested resource was not found
429
Too many requests - Rate limit exceeded
500
Internal server error - this means there is a problem on our end
All API endpoint results work with the UTC timezone unless specified otherwise.